using System;
using System.Collections;
using System.IO;
using ImportExport;

namespace CsvProvider
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	public class CsvProviderImpl : IImportExport
	{
		public CsvProviderImpl()
		{
		}
		#region IImportExport Members

		public void Export(IList data)
		{
			TextWriter wr = new StreamWriter(@"c:\temp\CsvProviderData.csv");
            if (data != null)
            {
                foreach (ImportExport.PessoaInfo pi in data)
                {
                    wr.WriteLine("{0}, {1}", pi.Nome, pi.Idade);
                }
            }
			wr.Close();
		}

		public IList Import()
		{
			IList ret = new ArrayList();

			TextReader rd = new StreamReader(@"c:\temp\CsvProviderData.csv");
			string line;
			while ((line = rd.ReadLine()) != null)
			{
				int idx = line.LastIndexOf(',');
				string nome = line.Substring(0, idx).Trim();
				string idade = line.Substring(idx+1);
				PessoaInfo pi = new PessoaInfo(nome, int.Parse(idade));
				ret.Add(pi);
			}
            rd.Close();
			
			return ret;
		}

		#endregion
	}
}
